#pragma once

#define PI 3.14159265

struct Dimensions
{
	int height;
	int	width;
	int h;
	int r;
};

/** 
 * \brief Hexagon class declaration
 *
 * \authors Emil Vassev
 * \date Feb 8, 2008
 */
class Hexagon
{
public:
	Hexagon(void);
	~Hexagon(void);

	/**
	 * Draws the hexagon.
	 */
	Dimensions draw(CWnd* pntWnd, CPoint crdSouthEast, double hexagonSide);

private:
	double s;   //side
	double h;   //height
	double r;   //distance
	double b;   //height of the surrounding rectangle 
	double a;   //width of the surrounding rectangle

	void computeHexagonQuantities(double hexagonSide); 
};
